[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.SaveGridOptions

Saves values in the Options property to the specified XML configuration file.

## Declaration

Source position: dbgrids.pas line 499

`protected procedure TCustomDBGrid.SaveGridOptions(`
`Cfg: TXMLConfig`
`); override;`

## Arguments

`Cfg` |  | XML configuration file where the values are stored.

## Description

SaveGridOptions is an overridden method in TCustomDBGrid. It re-implements the method from the ancestor class and does not call the inherited method.

SaveGridOptions is used to store the values for settings in the Options property to the XML configuration file in Cfg. SaveGridOptions is called from the SaveContent method in the ancestor class.

See LoadGridOptions and LoadContent for the actions performed to restore the saved Option values.

## See also

TCustomDBGrid.Options |  | Contains the optional features or behaviors that are enabled for the grid control.
TCustomDBGrid.LoadGridOptions |  | Loads values for the Options property from the specified XML configuration file.
TCustomGrid.SaveContent |  | Saves design-time configuration, column and row settings, and data to the specified XML configuration file.
TCustomGrid.LoadContent |  | Loads values for the grid control from the specified XML configuration file.